/*
 * z_utl.h: Utility functions
 * Copyright (C) 2014  Matthias Zartmann.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301
 * USA
 *
 * Authors:
 *     Matthias Zartmann <matthias.zartmann@gmx.de>
 * Created on: 4 Apr 2014
 */
#ifndef Z_UTIL_H_
#define Z_UTIL_H_
#include "zr_standard.h"

gboolean z_util_key_file_get_boolean(GKeyFile *key_file,const gchar *group_name,const gchar *key, gboolean b_default);
gchar * z_util_key_file_get_string(GKeyFile *key_file,const gchar *group_name,const gchar *key, gchar * s_default);
gint z_util_key_file_get_int(GKeyFile *key_file,const gchar *group_name,const gchar *key, gint i_default);
gboolean z_util_file_exists(gchar* pfilename);
void z_util_process_messages(void);


#define z_error_if_fail(expr,message,...) \
G_STMT_START { \
    if G_LIKELY (expr) ; \
    else 	g_error(message,__VA_ARGS__); \
} G_STMT_END

#define z_critical_if_fail(expr,message,...) \
G_STMT_START { \
    if G_LIKELY (expr) ; \
    else 	g_critical(message,__VA_ARGS__); \
} G_STMT_END



#define z_check_gerror(expr,message,...) \
G_STMT_START { \
							if G_LIKELY (expr) ;\
							else		g_error(message,__VA_ARGS__); \
} G_STMT_END

#endif /* Z_UTIL_H_ */




