/*
 * zr_app.h: ZRadio Main Applicationmodule
 *
 * ZRadio is my very first GTK Application if you have any suggest for my to improve my code
 * please send to my or feel free to include them.
 *
 * Copyright (C) 2014  Matthias Zartmann.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301
 * USA
 *
 * Authors:
 *     Matthias Zartmann <matthias.zartmann@gmx.de>
 * Created on: 4 Apr 2014
 */
#ifndef ZR_MAIN_H_
#define ZR_MAIN_H_

#include "zr_standard.h"

/**
 * Internal Application messages
 */
enum zr_app_msg
{
	ZR_APP_MSG_CLOSE ,      //!< Close the Application
	ZR_APP_MSG_PLAY ,       //!< Play the Url in the Dataelement
	ZR_APP_MSG_PAUSE,       //!< Pause Playing
	ZR_APP_MSG_RESET,       //!< Reset Gstreamer
	ZR_APP_MSG_ICY_CHANGE,  //!< Radiostation ICY Change
	ZR_APP_VOL_CHANGE,      //!< Change Volume
	ZR_APP_MSG_BUFFER_EMPTY,//!< Buffer Empty from Gstreamer
	ZR_APP_MSG_STREAM_ERROR //!< Error on Gstreamer

};

/**
 * Bitfields for next_process_steps
 */
enum zr_process_step
{
 ZR_PRC_WAIT_INET = 1 << 0,//!< Wait for internet connection
 ZR_PRC_RECONNECT = 1 << 1,//!< Reconnect Gstreamer
 ZR_PRC_STARTUP   = 1 << 2 //!< Application Startup
};


/**
 *Event data
 */
struct _zr_app_event
{
	enum zr_app_msg MessageID;
  gchar * Message;
  gpointer * tag;

};
typedef struct _zr_app_event zr_app_event;


#define ZR_APP_EVENT_NAME "zr_main"


gint zr_app_run(int argc, char *argv[]);
void zr_app_emit_event(enum zr_app_msg pMsgID, gchar * Message);
void zr_app_messageBox(const gchar* Titel, GtkMessageType type, const gchar *message_format, ...);



#endif /* ZR_MAIN_H_ */

