/*
 * z_gst.c: Interface to the gstreamer
 *
 * Copyright (C) 2014  Matthias Zartmann.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301
 * USA
 *
 * Authors:
 *     Matthias Zartmann <matthias.zartmann@gmx.de>
 * Created on: 4 Apr 2014
 */

#ifndef ZR_GST_H_
#define ZR_GST_H_

#include <gst/gst.h>
#include <gst/interfaces/streamvolume.h>

struct _zr_gst {
	gchar    CurrentSong[255]; //@I ICY-META: StreamTitle=' TITLE ';
	gchar    CurrentURL[255];  //@I ICY-URL:
	gchar    CurrentNAME[255]; //@I ICY-NAME:
	gchar    CurrentPlayingURL[1024];
	GstElement *pipeline;
	GstStreamStatusType  currentStatus;
	GstState currentState;
	gboolean  start_watch_bufferunderrun;
	gint errorcount;
};
typedef struct _zr_gst zr_gst;




struct _zr_gst_info
{
	gboolean playing;
	gchar   *icy_Song;
	gchar   *icy_station;
	gchar   *currentplaying_url;
	gint    volume;
};
typedef struct _zr_gst_info zr_gst_info;


zr_gst *  zr_gst_create();
void zr_gst_free(zr_gst * p_gst);
void zr_gst_get_info(zr_gst * p_gst,zr_gst_info * p_info);
void zr_gst_set_volume(zr_gst * p_gst, int volume);
void zr_gst_pause(zr_gst * p_gst);
void zr_gst_play(zr_gst * p_gst, gchar * url);
gboolean zr_gst_is_playing(zr_gst * p_gst);
void zr_gst_reset(zr_gst * p_gst,gchar * url);

#endif /* ZR_GST_H_ */
