/*
 * z_tray.h: Trayicon functions
 *
 * Copyright (C) 2014  Matthias Zartmann.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301
 * USA
 *
 * Authors:
 *     Matthias Zartmann <matthias.zartmann@gmx.de>
 * Created on: 4 Apr 2014
 */

#ifndef ZR_TRAY_H_
#define ZR_TRAY_H_

#include <gtk/gtk.h>
#include "zr_cfg.h"
#include "libappindicator/app-indicator.h"

#define ZR_NAME_TRAY_MENU "menu_tray"
#define ZR_NAME_MITEM_PAUSE "m_item_pause"
#define ZR_NAME_MITEM_PLAY "m_item_play"
#define ZR_NAME_MITEM_RESET "m_item_reset"
#define ZR_NAME_MITEM_EXIT "m_item_exit"
struct zr_tray {
	GtkMenu * tray_menu;
	GtkMenuItem * menuStationtext;
	GtkImageMenuItem * play;
	GtkImageMenuItem * pause;
	GtkImageMenuItem * exit;
	GtkWidget *  current_station_image;
	//GtkStatusIcon * tray_icon;
	AppIndicator * app_indicator;
};
typedef struct zr_tray zr_tray;

zr_tray * zr_tray_create(zr_cfg * pconfig);
void zr_tray_free(zr_tray * p_tray);
void zr_tray_show(zr_tray * p_tray);
void zr_tray_set_station_text(zr_tray * p_tray,gchar* p_Tooltip);
void zr_tray_show_volume(zr_tray * p_tray, gint p_VolumePercent);
void zr_tray_new_play_url(zr_tray * p_tray, zr_cfg * pconfig, gchar* p_url);

#endif /* ZR_TRAY_H_ */
